import React from 'react';
export declare type FormItem = {
    key: string;
    alias?: string;
    actionDisabled?: boolean;
    label: string;
    type?: string;
    meta?: {
        url: string;
        method: string;
        data?: {
            value: string;
            label: string;
        }[];
    };
    value?: string;
};
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    items: (FormItem[]);
    meta: {
        url: string;
        method: string;
        filter?: string;
        modal?: string;
        columnsCount: number;
        rowColCounts: number[];
        labelPosition?: string;
        disableGroupCol: boolean;
        actionsShow: boolean;
        params?: {
            [x: string]: any;
        };
        accessories: any[];
        componentKey?: string;
        submitTitle?: string;
        clearTitle?: string;
        actionDirection?: string;
        clearButtonShow?: boolean;
    };
    pageKey: string;
    formKey: string;
    forceUpdate: Function;
    history: any;
    match: any;
}
declare function _Form(props: IProps): JSX.Element;
export declare const Form: React.MemoExoticComponent<typeof _Form>;
export {};
