import React from 'react';
import { PageSectionItem } from '../../app';
export interface TableColumn extends PageSectionItem {
    render?: any;
    editable?: any;
}
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    meta: {
        url: string;
        data?: any;
        pageSize?: number;
        form?: string;
        method: string;
        params?: any;
        rowAction?: string;
        label?: string;
        modal?: string;
        componentKey?: string;
        alias?: {
            [x: string]: string;
        };
        disablePagination?: boolean;
        link?: string;
    };
    columns: (TableColumn[]);
    pageKey: string;
    tableKey: string;
    forceUpdate: Function;
    history: any;
    match: any;
}
declare function _Table(props: IProps): JSX.Element;
export declare const Table: React.MemoExoticComponent<typeof _Table>;
export {};
