export declare function useTable(pageKey: string, tableKey: string, columns: any[], meta: {
    url: string;
    data?: {
        [x: string]: any;
    };
    pageSize?: number;
    alias?: {
        [x: string]: string;
    };
    method: string;
    params?: {
        [x: string]: any;
    };
    modal?: string;
    componentKey?: string;
    disablePagination?: boolean;
}, reload: number): {
    dataSource: any[];
    currentPage: number;
    total: number;
    pageSize: number;
    setCurrentPage: Function;
    setPageSize: Function;
};
